Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class SNMPDetector

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ServerDetector
              org.hyperic.hq.product.DaemonDetector
                  org.hyperic.hq.product.SNMPDetector

All Implemented Interfaces:
  AutoServerDetector, FileServerDetector, RuntimeDiscoverer

    public class SNMPDetector

extends DaemonDetector

Field Summary

Fields inherited from class org.hyperic.hq.product.ServerDetector
`AUTOINVENTORY_NAME, INSTALLPATH, INVENTORY_ID`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`SNMPDetector()`

Method Summary
`static List` | `discoverServers(ServerDetector plugin, org.hyperic.util.config.ConfigResponse parentConfig, SNMPSession session, String type)`
`protected List` | `discoverServices(org.hyperic.util.config.ConfigResponse config)` Override to discover services for the server type of the plugin instance.
`protected List` | `discoverServices(org.hyperic.util.config.ConfigResponse config, String type)`
`static List` | `discoverServices(ServerDetector plugin, org.hyperic.util.config.ConfigResponse parentConfig, SNMPSession session)`
`static List` | `discoverServices(ServerDetector plugin, org.hyperic.util.config.ConfigResponse parentConfig, SNMPSession session, String type)`
`List` | `getServerResources(org.hyperic.util.config.ConfigResponse platformConfig)`

Methods inherited from class org.hyperic.hq.product.DaemonDetector
`discoverServerConfig, getFileResources, getPlatformConfig, getProcessQuery, getProcessResources, getProcOpts, getServerResources, isSwitch, newServerResource, newServerResource, setPlatformConfig`

Methods inherited from class org.hyperic.hq.product.ServerDetector
`createServerResource, createServiceResource, discoverResources, discoverServers, discoverServiceTypes, findVersionFile, formatAutoInventoryName, formatName, getCanonicalPath, getConfigSchema, getConnectionProtocol, getDocument, getListenAddress, getListenAddress, getManager, getParentDir, getParentDir, getPids, getProcArgs, getProcCwd, getProcExe, getProcExe, getProcModules, getRegistryScanKeys, getRuntimeDiscoverer, getScanOrder, getServerSignature, getServiceConfigs, getServiceInventoryPlugins, getSigar, getTypeProperty, getXPathValue, getXPathValue, init, isInstallTypeVersion, isRuntimeDiscoverySupported, isSSLPort, isWin32ServiceRunning, setControlConfig, setControlConfig, setCustomProperties, setCustomProperties, setDescription, setMeasurementConfig, setMeasurementConfig, setProductConfig, setProductConfig`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SNMPDetector

    public SNMPDetector()

Method Detail

### getServerResources

    public List getServerResources(org.hyperic.util.config.ConfigResponse platformConfig)
                            throws PluginException

  Specified by:
    `getServerResources` in interface `AutoServerDetector`
  Overrides:
    `getServerResources` in class `DaemonDetector`
  Throws:
    `PluginException`

### discoverServices

    protected List discoverServices(org.hyperic.util.config.ConfigResponse config)
                             throws PluginException

  Description copied from class: `ServerDetector`
  Override to discover services for the server type of the plugin instance.

  Overrides:
    `discoverServices` in class `DaemonDetector`
  Parameters:
    `config` - Configuration of the parent server resource.
  Returns:
    List of type ServiceResource.
  Throws:
    `PluginException` - If an error occured during discovery.

### discoverServices

    protected List discoverServices(org.hyperic.util.config.ConfigResponse config,
                                    String type)
                             throws PluginException

  Throws:
    `PluginException`

### discoverServices

    public static List discoverServices(ServerDetector plugin,
                                        org.hyperic.util.config.ConfigResponse parentConfig,
                                        SNMPSession session)
                                 throws PluginException

  Throws:
    `PluginException`

### discoverServices

    public static List discoverServices(ServerDetector plugin,
                                        org.hyperic.util.config.ConfigResponse parentConfig,
                                        SNMPSession session,
                                        String type)
                                 throws PluginException

  Throws:
    `PluginException`

### discoverServers

    public static List discoverServers(ServerDetector plugin,
                                       org.hyperic.util.config.ConfigResponse parentConfig,
                                       SNMPSession session,
                                       String type)
                                throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.